Base URL: https://demo-api.incodesmile.com — Incode demo environment
Fetch the results from /api/validate/ine. The recommended wait time is 20 sec and retrying every 5 sec after that.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
idResults |
query | string | yes | |
api-version |
header | string | yes |
Responses
200
scrapingStatus possible values are: - IN_PROGRESS: service hasn't finished and should retry in 5 seconds. - FINISHED: scrapping service finished and we got either a successful response or an error such as curp not found. - ERROR: scrapping service had an unhandled error, another attempt should be sent to validate curp. If INE is not found or an error occurs (such as service being in maintenance) then the success field will be false and the field resultDetails will have additional information.
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
get_version |
integer (int64) | ||
scrapingStatus |
string | Scraping status Enum: IN_PROGRESS, FINISHED, ERROR |
|
success |
boolean | Flag indicating if the process finished successfully. | |
result |
string | Result Enum: success, error |
|
resultDetails |
string | ||
screenshotUrl |
string | ||
cic |
string | Cic value. | |
claveElector |
string | Clave de elector. | |
numeroEmision |
string | Emission number. | |
ocr |
string | Ocr number. | |
anioRegistro |
string | Registration year. | |
anioEmision |
string | Emission year. |
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |